summaryrefslogtreecommitdiffstats
path: root/office/osmo/osmo.SlackBuild
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:44:50 +0200
committer David Somero2010-05-12 17:44:50 +0200
commit4848a71f949b1843ee22bd794172e0e67adec738 (patch)
tree5b0202d6abd13a3701758473de29b8404a1111c4 /office/osmo/osmo.SlackBuild
parenta56b3b25d35e9baccdf3fda7537687941caaec10 (diff)
downloadslackbuilds-4848a71f949b1843ee22bd794172e0e67adec738.tar.gz
office/osmo: Updated for version 0.2.6
Diffstat (limited to 'office/osmo/osmo.SlackBuild')
-rw-r--r--office/osmo/osmo.SlackBuild28
1 files changed, 14 insertions, 14 deletions
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index 4c69ebc146..441c63b272 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Osmo
-# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2008, 2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=0.2.2
+VERSION=${VERSION:-0.2.6}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,8 +33,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING README TRANSLATORS"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -47,9 +45,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,17 +54,20 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Apply patch-libgringotts-2.diff patch found at
+# http://sourceforge.net/mailarchive/forum.php?thread_name=49B43951.50203%40waitrose.com&forum_name=osmo-pim-friends
+# In order for Osmo 0.2.6 to compile, this patch needs to be applied regardless of building with or without libgringotts.
+( cd src
+ patch -p0 < $CWD/patch-libgringotts-2.diff || exit 1
+)
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-debug=no \
- --without-libical \
- --without-gringotts \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -79,13 +79,13 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING README* TRANSLATORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz